Page MenuHomePhabricator

Allow a comment to be added on the Maniphest edit interface
Open, LowPublic

Description

Hello.

Sorry for bothering but i would like to share my impression and suggestion.

I do really like this quick edit task button in maniphest tasks list view {F101775}

But unfortunately there is no way to add any comments from that quick view. I'm free to do anything (that can be done with task) except post a comment.

Possibly I'm missing something but if not i would suggest to add such functionality to quick edit view.

Event Timeline

mim created this task.Jan 14 2014, 6:23 PM
mim raised the priority of this task from to Needs Triage.
mim updated the task description. (Show Details)
mim added a project: Maniphest.
mim added a subscriber: mim.

Specifically, you want to add a comment in addition to taking some other action, not just post a comment, right?

mim added a comment.Jan 15 2014, 9:50 AM

Yap that would be full task handling process inside of that view. If i would like just to add some comments i would just live all other fields untouchable.

epriestley renamed this task from Quick "add comment" in maniphest tasks list view to Allow a comment to be added on the Maniphest edit interface.Jan 15 2014, 8:04 PM
epriestley triaged this task as Low priority.

yeah, I've often canceled my changes in the Edit page only to make the same changes using the Comment Action thingie in the View page. Simply because I want to comment my changes and I want the comment to be in the same row block as the changes, not a separate row block.

The comment should be merged into the same row if you perform an edit and then leave a comment, as long as it takes you less than 2-3 minutes to write your comment and no intervening activity takes place.

thx, thats a good work-around actually

scfc added a subscriber: scfc.Jan 1 2015, 3:25 PM

T9132 gives us more options for accommodating this this without needing to put comment boxes on every edit form.

epriestley moved this task from Backlog to vNext on the Maniphest board.Dec 4 2015, 7:13 PM

The comment should be merged into the same row if you perform an edit and then leave a comment, as long as it takes you less than 2-3 minutes to write your comment and no intervening activity takes place.

Whilst it does get merged in the web UI, at the risk of picking over old wounds, it causes two separate mails to get sent out, e.g. 'Raised Priority' followed shortly by 'Commented'; doing it as a single transaction through the task detail view only generates a single 'Triaged' email for the same edit.

urzds added a subscriber: urzds.Jul 12 2017, 11:15 AM
This comment was removed by epriestley.
epriestley moved this task from vNext to Far Future on the Maniphest board.Feb 20 2019, 11:25 PM